Package: org.codehaus.groovy.classgen.asm.sc

## [Java] Class StaticTypesTypeChooser

- org.codehaus.groovy.classgen.asm.sc.StaticTypesTypeChooser

- A TypeChooser which reads type information from node metadata generated by the CompileStatic annotation.

  Authors:
    Cedric Champeau

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `ClassNode` | `resolveType(Expression exp, ClassNode current)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class StatementMetaTypeChooser` | `resolveType`
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Method Detail

    - #### @Override public ClassNode resolveType(Expression exp, ClassNode current)